<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form id="<?php echo self::$prefix_dash; ?>form" method="post" class="form-horizontal" role="form">

			<h1 id="nnr-heading"><?php echo isset($_GET['firebar_id']) ? __('Edit FireBar', self::$text_domain) : __('Add FireBar', self::$text_domain); ?>
				<small>
	        		<input type="submit" value="<?php echo (isset($_GET["firebar_id"]) ? __("Update", self::$text_domain) : __("Save", self::$text_domain)); ?>" class="btn btn-info nnr-heading-button-right" id="submit" name="submit"/>
				</small>
			</h1>

			<!-- Nav Tabs -->
			<ul class="nav nav-tabs" role="tablist" id="myTab">
				<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash;?>general" role="tab" data-toggle="tab"><?php _e('FireBar Setup', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>content" role="tab" data-toggle="tab"><?php _e('Content', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>styling" role="tab" data-toggle="tab"><?php _e('Style', self::$text_domain); ?></a></li>
				<!-- <li role="presentation"><a href="#<?php echo self::$prefix_dash;?>misc" role="tab" data-toggle="tab"><?php _e('Miscellaneous', self::$text_domain); ?></a></li> -->
			</ul>
			<br/>

			<!-- Tab panes -->
			<div class="tab-content">

				<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>general">

					<div class="panel panel-danger">
						<div class="panel-heading"><?php _e('Required', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Name -->

							<div class="form-group <?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo 'has-error has-feedback'; ?>">
								<label for="<?php echo self::$prefix_dash; ?>name" class="col-sm-3 control-label"><?php _e('Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>name" name="<?php echo self::$prefix_dash; ?>name" value="<?php echo (isset($edit_data['name']) ? esc_attr($edit_data['name']) :''); ?>">
									<?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<em class="help-block"><?php _e('The name of the FireBar for quick reference.  Used only for administration purposes.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Status -->

							<div class="hidden form-group">
								<label for="<?php echo self::$prefix_dash; ?>active" class="col-sm-3 control-label"><?php _e('Status', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>active" name="<?php echo self::$prefix_dash; ?>active" class="form-control">
										<option value="Active" <?php echo ($edit_data['active'] == 'Active' ? 'selected="selected"' :''); ?>><?php _e('Active', self::$text_domain); ?></option>
										<option value="Inactive" <?php echo ($edit_data['active'] == 'Inactive' ? 'selected="selected"' :''); ?>><?php _e('Inactive', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The status of the firebar.  If set to inactive the firebar will not show.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Trigger -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>trigger-type" class="col-sm-3 control-label"><?php _e('Display On', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-type" name="<?php echo self::$prefix_dash; ?>trigger-type">
										<option value="site" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'site') ? 'selected="selected"' :''); ?> ><?php _e('Site Wide', self::$text_domain); ?></option>
										<option value="frontpage" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'frontpage') ? 'selected="selected"' :''); ?> ><?php _e('Front Page', self::$text_domain); ?></option>
										<option value="category" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'category') ? 'selected="selected"' :''); ?> ><?php _e('Category', self::$text_domain); ?></option>
										<option value="tag" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'tag') ? 'selected="selected"' :''); ?> ><?php _e('Tag', self::$text_domain); ?></option>
										<option value="archive" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'archive') ? 'selected="selected"' :''); ?> ><?php _e('Archive', self::$text_domain); ?></option>

										<?php foreach ($post_types as $post_type) { ?>
											<option value="<?php echo $post_type; ?>" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == $post_type) ? 'selected="selected"' :''); ?> ><?php _e(ucfirst($post_type), self::$text_domain); ?></option>
										<?php } ?>
									</select>
									<em class="help-block"><?php _e('On what page(s) / post(s) should this FireBar display?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Post Types -->

							<?php foreach ($post_types as $post_type) { ?>

							<div id="<?php echo self::$prefix_dash; ?>trigger-div-<?php echo $post_type; ?>">

								<!-- All -->

								<div class="form-group" id="<?php echo self::$prefix_dash; ?>trigger-all-div-<?php echo $post_type; ?>">
									<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input id="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" data-post="<?php echo $post_type; ?>" type="checkbox" <?php echo (isset($edit_data['trigger'][$post_type]['all']) && $edit_data['trigger'][$post_type]['all'] ? 'checked="checked"' :''); ?> />
										<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
									</div>
								</div>

								<!-- ID -->

								<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-id-div-<?php echo $post_type; ?>'>
									<label for="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e(ucfirst($post_type), self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input class="form-control <?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($edit_data['trigger'][$post_type]['id']) ? $edit_data['trigger'][$post_type]['id'] : '');?>' />
										<em class="help-block"><?php _e('Only display this FireBar on these ' .  ucfirst($post_type) . 's.', self::$text_domain); ?></em>
									</div>
								</div>

							</div>

							<?php } ?>

							<!-- Category -->

							<div id='<?php echo self::$prefix_dash; ?>trigger-category-div'>

								<!-- All -->

								<div class="form-group" id="<?php echo self::$prefix_dash; ?>all-id">
									<label for="<?php echo self::$prefix_dash; ?>trigger-category-all" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input id="<?php echo self::$prefix_dash; ?>trigger-category-all" name="<?php echo self::$prefix_dash; ?>trigger-category-all" type="checkbox" <?php echo (isset($edit_data['trigger']['category']['all']) && $edit_data['trigger']['category']['all'] ? 'checked="checked"' :''); ?> />
										<label for="<?php echo self::$prefix_dash; ?>trigger-category-all">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
									</div>
								</div>

								<!-- ID -->

								<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-category-id-div'>
									<label for="<?php echo self::$prefix_dash; ?>trigger-category-id" class="col-sm-3 control-label"><?php _e('ID', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input class="form-control" id="<?php echo self::$prefix_dash; ?>trigger-category-id" name="<?php echo self::$prefix_dash; ?>trigger-category-id" size='40' type='text' value='<?php echo (isset($edit_data['trigger']['category']['id']) ? $edit_data['trigger']['category']['id'] :'');?>' /><br/>
										<em class="help-block"><?php _e('Only posts inside these categories will display a Firebar.', self::$text_domain); ?></em>
									</div>
								</div>

							</div>

							<!-- Tag -->

							<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-tag-div'>
								<label for="<?php echo self::$prefix_dash; ?>all-id" class="col-sm-3 control-label"><?php _e('Tags', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>trigger-tag-id" name="<?php echo self::$prefix_dash; ?>trigger-tag-id" size='40' type='text' value='<?php echo (isset($edit_data['trigger']['tag']['id']) ? $edit_data['trigger']['tag']['id'] :'');?>' />
									<em class="help-block"><?php _e('Only posts with these tags will display a Firebar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Users -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>args-users" class="col-sm-3 control-label"><?php _e('Users', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>args-users" name="<?php echo self::$prefix_dash; ?>args-users">
										<option value="everyone" <?php selected('everyone', $edit_data['args']['users'], true); ?> ><?php _e('Everyone', self::$text_domain); ?></option>
										<option value="logged_in" <?php selected('logged_in', $edit_data['args']['users'], true); ?> ><?php _e('Only Users', self::$text_domain); ?></option>
										<option value="logged_out" <?php selected('logged_out', $edit_data['args']['users'], true); ?> ><?php _e('Only Non-Users', self::$text_domain); ?></option>
										<option value="specific" <?php selected('specific', $edit_data['args']['users'], true); ?> ><?php _e('Specific User Roles', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Who can see this FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- User Roles -->

							<div class="form-group <?php echo self::$prefix_dash; ?>args-users <?php echo self::$prefix_dash; ?>args-users-specific">
								<label class="col-sm-3 control-label"><?php _e('User Roles', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<em class="help-block"><?php _e('Which users, based on roles, can see this FireBar.', self::$text_domain); ?></em>
									<?php

									foreach ($wp_roles->role_names as $role_name => $role) { ?>
										<input type="checkbox" id="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>" class="<?php echo self::$prefix_dash; ?>role" name="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>" <?php echo isset($edit_data['args']['user_roles'][$role_name]) && $edit_data['args']['user_roles'][$role_name] ? 'checked="checked"' : ''; ?> class="form-control"/>
										<label for="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
										<span><?php echo $role; ?></span><br/>

									<?php } ?>

								</div>
							</div>

							<!-- Referrer Type -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>args-referrer-type" class="col-sm-3 control-label"><?php _e('Referrer Type', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>args-referrer-type" name="<?php echo self::$prefix_dash; ?>args-referrer-type">
										<option value="any" <?php selected('any', $edit_data['args']['referrer_type'], true); ?> ><?php _e('Any Domain', self::$text_domain); ?></option>
										<option value="specific" <?php selected('specific', $edit_data['args']['referrer_type'], true); ?> ><?php _e('Specific Domains', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Display FireBar only if user is coming from a certain domain.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Referrer -->

							<div class="form-group <?php echo self::$prefix_dash; ?>args-referrer <?php echo self::$prefix_dash; ?>args-referrer-specific">
								<label class="col-sm-3 control-label"><?php _e('Referrer Domains', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>args-referrer" name="<?php echo self::$prefix_dash; ?>args-referrer" placeholder="<?php _e('e.g t.co,www.facebook.com,plus.url.google.com,www.linkedin.com', self::$text_domain); ?>" value="<?php echo (isset($edit_data['args']['referrer']) ? $edit_data['args']['referrer'] :''); ?>" data-urls="<?php echo (isset($edit_data['args']['referrer']) ? $edit_data['args']['referrer'] :''); ?>"/>
									<em class="help-block"><?php _e('Valid domains the user must come from in order for FireBar to display.', self::$text_domain); ?></em>
								</div>
							</div>

							<?php

							// Format dates

							$start_date = isset($edit_data["args"]["start_date"]) && $edit_data["args"]["start_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["args"]["start_date"])) :
											date('m/d/Y h:i A', strtotime(current_time('mysql')));

							$end_date = isset($edit_data["args"]["end_date"]) && $edit_data["args"]["end_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["args"]["end_date"])) :
											date("m/d/Y h:i A", mktime(0, 0, 0, date("m"), date("d"), date("Y")+20));

							?>

							<!-- Start Date -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>start-date" class="col-sm-3 control-label"><?php _e('Start Date', self::$text_domain); ?></label>
								<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>start-datepicker" style="padding-right: 15px;padding-left: 15px;">
									<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>" readonly/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
								<em class="col-sm-9 pull-right help-block"><?php _e('The date that this FireBar should automatically start to display (defaults to now).', self::$text_domain); ?></em>
							</div>

							<!-- End Date -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>end-date" class="col-sm-3 control-label"><?php _e('End Date', self::$text_domain); ?></label>
								<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>end-datepicker" style="padding-right: 15px;padding-left: 15px;">
									<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>" readonly/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
								<em class="col-sm-9 pull-right help-block"><?php _e('The date that this FireBar should automatically stop displaying.', self::$text_domain); ?></em>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Excludes', self::$text_domain); ?></div>
						<div class="panel-body">

							<p><?php _e('All excludes will take priority over the includes.  For example, if you include and exclude a post at the same time then the FireBar will not be shown on that post.', self::$text_domain); ?></p>

							<!-- Post Types -->

							<?php foreach ($post_types as $post_type) { ?>

							<!-- Exclude -->

							<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-exclude-div-<?php echo $post_type; ?>'>
								<label for="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('Exclude ' . ucfirst($post_type) . 's', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control <?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($edit_data['trigger'][$post_type]['exclude']) ? $edit_data['trigger'][$post_type]['exclude'] :'');?>'/>
									<em class="help-block"><?php _e('Do NOT display this FireBar on these ' .  ucfirst($post_type) . 's.', self::$text_domain); ?></em>
								</div>
							</div>

							<?php } ?>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Display', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Height -->

							<div class="hidden form-group">
								<label for="<?php echo self::$prefix_dash; ?>height" class="col-sm-3 control-label"><?php _e('Height', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>height" name="<?php echo self::$prefix_dash; ?>height" class="form-control">
										<?php for($i = 20; $i <= 100; $i+=2) { ?>
										<option value="<?php echo $i; ?>" <?php selected($edit_data['height'], $i, true); ?>><?php echo $i; ?></option>
										<?php } ?>
									</select>
									<em class="help-block"><?php _e('Units are in', self::$text_domain); ?> <a href="http://www.w3schools.com/cssref/css_units.asp" target="_blank">px</a> <?php _e('The height of the firebar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Location -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-3 control-label"><?php _e('FireBar Location', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['location']) && $edit_data['location'] == 'Top' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location" value="Top" <?php echo isset($edit_data['location']) && $edit_data['location'] == 'Top' ? 'checked="checked"' : ''; ?>/> <?php _e('Top', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['location']) && $edit_data['location'] == 'Bottom' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location" value="Bottom" <?php echo isset($edit_data['location']) && $edit_data['location'] == 'Bottom' ? 'checked="checked"' : ''; ?>/> <?php _e('Bottom', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The location of the FireBar on the page.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Display Layout -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>display" class="col-sm-3 control-label"><?php _e('Display on Page Load', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Bar' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>display" id="<?php echo self::$prefix_dash; ?>display" value="Bar" <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Bar' ? 'checked="checked"' : ''; ?>/> <?php _e('Bar', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Stub' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>display" id="<?php echo self::$prefix_dash; ?>display" value="Stub" <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Stub' ? 'checked="checked"' : ''; ?>/> <?php _e('Stub', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('Display (bar) or (stub) on page load.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Position -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>position" class="col-sm-3 control-label"><?php _e('FireBar Position', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'fixed' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>position" id="<?php echo self::$prefix_dash; ?>position" value="fixed" <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'fixed' ? 'checked="checked"' : ''; ?>/> <?php _e('Fixed', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'absolute' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>position" id="<?php echo self::$prefix_dash; ?>position" value="absolute" <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'absolute' ? 'checked="checked"' : ''; ?>/> <?php _e('Absolute', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The position of the FireBar on the page.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Move Body With FireBar -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>move-body" class="col-sm-3 control-label"><?php _e('Move Body With FireBar', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>move-body" name="<?php echo self::$prefix_dash; ?>move-body" type='checkbox' <?php echo (isset($edit_data['args']['move_body']) && $edit_data['args']['move_body'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>move-body">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Force site body down / up to accommodate FireBar height.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Run plugin scripts on mobile/tablet devices -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>mobile" class="col-sm-3 control-label"><?php _e('Activate on Mobile', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>mobile" name="<?php echo self::$prefix_dash; ?>mobile" type='checkbox' <?php echo (isset($edit_data['args']['mobile']) && $edit_data['args']['mobile'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>mobile">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Display the Firebar on a mobile device.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

				</div><!-- general -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>content">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Content Type', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Content Type -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>template" class="col-sm-3 control-label"><?php _e('Content Type', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Text' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-text bottomleftpoint">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-text" value="Text" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Text' ? 'checked="checked"' : ''; ?>/> <?php _e('Text', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-font"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Text and Link' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-text-link">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-text-link" value="Text and Link" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Text and Link' ? 'checked="checked"' : ''; ?>/> <?php _e('Text and Link', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-link"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Social Icons' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-social-icons bottomrightpoint">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-social-icons" value="Social Icons" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Social Icons' ? 'checked="checked"' : ''; ?>/> <?php _e('Social Icons', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-share-alt"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'News Letter' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-newsletter topleftpoint">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-newsletter" value="News Letter" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'News Letter' ? 'checked="checked"' : ''; ?>/> <?php _e('Newsletter', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-newspaper-o"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Recent Posts' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-recent-posts">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-recent-posts" value="Recent Posts" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Recent Posts' ? 'checked="checked"' : ''; ?>/> <?php _e('Posts', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-archive"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Twitter Feed' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-twitter-feed">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-twitter-feed" value="Twitter Feed" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Twitter Feed' ? 'checked="checked"' : ''; ?>/> <?php _e('Twitter Feed', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-twitter"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Custom' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-custom toprightpoint">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-custom" value="Custom" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'Custom' ? 'checked="checked"' : ''; ?>/> <?php _e('Custom HTML', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon  fa fa-cog"></span>
											</label>

										</div>
									</div>

									<em class="help-block"><?php _e('What type of Firebar do you want to display?', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Content Attributes', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Text / Message -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-div">
								<label for="<?php echo self::$prefix_dash; ?>title" class="col-sm-3 control-label"><?php _e('Text / Message', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>title" name="<?php echo self::$prefix_dash; ?>title" type='text' value='<?php echo (isset($edit_data['title']) ? esc_attr($edit_data['title']) :'');?>' placeholder="Example Message"/>
									<em class="help-block"><?php _e('The message that will be displayed in the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div">
								<label for="<?php echo self::$prefix_dash; ?>link-name" class="col-sm-3 control-label"><?php _e('Link Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-name" name="<?php echo self::$prefix_dash; ?>link-name" type='text' value='<?php echo (isset($edit_data['link_name']) ? esc_attr($edit_data['link_name']) :'');?>' placeholder="Anchor Link Text"/>
									<em class="help-block"><?php _e('The anchor text of the link.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link URL -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div">
								<label for="<?php echo self::$prefix_dash; ?>link-url" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-url" name="<?php echo self::$prefix_dash; ?>link-url" type='text' value='<?php echo (isset($edit_data['link_url']) ? $edit_data['link_url'] :'');?>' placeholder="http://example.com"/>
									<em class="help-block"><?php _e('The destination URL of the link.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Type -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div">
								<label for="<?php echo self::$prefix_dash; ?>link-type" class="col-sm-3 control-label"><?php _e('Link Type', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>link-type" name="<?php echo self::$prefix_dash; ?>link-type">
										<option value="text" <?php echo (isset($edit_data['text_link']['link_type']) && $edit_data['text_link']['link_type'] == 'text' ? 'selected="selected"' :''); ?>><?php _e('Text', self::$text_domain); ?></option>
										<option value="button" <?php echo (isset($edit_data['text_link']['link_type']) && $edit_data['text_link']['link_type'] == 'button' ? 'selected="selected"' :''); ?>><?php _e('Button', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The type of link to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Target -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div">
								<label for="<?php echo self::$prefix_dash; ?>link-target" class="col-sm-3 control-label"><?php _e('Link Target', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>link-target" name="<?php echo self::$prefix_dash; ?>link-target">
										<option value="_self" <?php echo (isset($edit_data['text_link']['link_target']) && $edit_data['text_link']['link_target'] == '_self' ? 'selected="selected"' :''); ?>><?php _e('Same window', self::$text_domain); ?></option>
										<option value="_blank" <?php echo (isset($edit_data['text_link']['link_target']) && $edit_data['text_link']['link_target'] == '_blank' ? 'selected="selected"' :''); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Open link in the same or new window?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link rel nofollow -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div">
								<label for="<?php echo self::$prefix_dash; ?>link-rel" class="col-sm-3 control-label"><?php _e('NoFollow Link', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-rel" name="<?php echo self::$prefix_dash; ?>link-rel" type="checkbox" <?php echo isset($edit_data['text_link']['link_rel']) && $edit_data['text_link']['link_rel'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>link-rel">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Add rel="nofollow" to the link.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Newsletter -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div" <?php if ($edit_data['template'] == 'Text' || $edit_data['template'] == 'Social' || $edit_data['template'] == 'Text and Link' || $edit_data['template'] == 'Custom') echo 'style="display:none"';?>>
								<label for="<?php echo self::$prefix_dash; ?>news-letter-type" class="col-sm-3 control-label"><?php _e('Email Capture Service', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>news-letter-type" name="<?php echo self::$prefix_dash; ?>news-letter-type">
										<option value="WordPress" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'WordPress') ? 'selected="selected"' :''); ?>><?php _e('WordPress', self::$text_domain); ?></option>
										<option value="MailChimp" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'MailChimp') ? 'selected="selected"' :''); ?>><?php _e('MailChimp', self::$text_domain); ?></option>
										<option value="aweber" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'aweber') ? 'selected="selected"' :''); ?>><?php _e('Aweber', self::$text_domain); ?></option>
										<option value="getresponse" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'getresponse') ? 'selected="selected"' :''); ?>><?php _e('Get Response', self::$text_domain); ?></option>
										<option value="campaignmonitor" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'campaignmonitor') ? 'selected="selected"' :''); ?>><?php _e('Campaign Monitor', self::$text_domain); ?></option>
										<option value="madmimi" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'madmimi') ? 'selected="selected"' :''); ?>><?php _e('Mad Mimi', self::$text_domain); ?></option>
										<option value="feedburner" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'feedburner') ? 'selected="selected"' :''); ?>><?php _e('Feedburner', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Select the email or newsletter service you want to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- First Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name" class="col-sm-3 control-label"><?php _e('First Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-first-name" name="<?php echo self::$prefix_dash; ?>news-letter-first-name" type="checkbox" <?php echo isset($edit_data['news_letter']['first_name']) && $edit_data['news_letter']['first_name'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include first name.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Last Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name" class="col-sm-3 control-label"><?php _e('Last Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-last-name" name="<?php echo self::$prefix_dash; ?>news-letter-last-name" type="checkbox" <?php echo isset($edit_data['news_letter']['last_name']) && $edit_data['news_letter']['last_name'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include last name.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp Signup Form URL <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" class="col-sm-3 control-label"><?php _e('MailChimp Signup Form URL', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" type="text" value="<?php echo (isset($edit_data['news_letter']['MailChimp']['url']) ? $edit_data['news_letter']['MailChimp']['url'] :''); ?>" />
									<em class="help-block"><?php _e('Add your MailChimp ', self::$text_domain); ?><a href="https://www.youtube.com/watch?v=uo-Sze5oreM" target="_blank"><?php _e('Signup form URL', self::$text_domain); ?></a><?php _e(' here to add MailChimp Newsletter support.  Example URL: http://xxx.xxx.list-manage.com/subscribe/post?u=xxx&id=xxx', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp Optin In -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" class="col-sm-3 control-label"><?php _e('MailChimp Double Opt-in', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" type="checkbox" <?php echo (isset($edit_data['news_letter']['MailChimp']['optin']) && $edit_data['news_letter']['MailChimp']['optin'] ? 'checked="checked"' : ''); ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Require users to verify their email address in order to subscribe to your list.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['MailChimp']['api_key']) ? $edit_data['news_letter']['MailChimp']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your MailChimp ', self::$text_domain); ?><a href="http://kb.mailchimp.com/accounts/management/about-api-keys" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" data-list="<?php echo $edit_data['news_letter']['MailChimp']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Aweber Actions -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label class="col-sm-3 control-label"><?php _e('Step 1:', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<a href="https://auth.aweber.com/1.0/oauth/authorize_app/<?php echo self::$aweber_app_id; ?>" target="_blank" class="btn btn-primary <?php echo self::$prefix_dash; ?>news-letter-aweber-connect"><?php isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] == '' ? _e('Get Code', self::$text_domain) : _e('Reconnect Account', self::$text_domain); ?></a>
								</div>
							</div>

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] != '' ? 'hidden' : ''; ?>">
								<label class="col-sm-3 control-label"><?php _e('Step 2:', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" type="text" value=""/>
									<em class="help-block"><?php _e('Copy the authorization code here and wait for lists to populate.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- AWeber Customer Key -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" class="col-sm-3 control-label"><?php _e('Customer Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_key']) ? $edit_data['news_letter']['aweber']['consumer_key'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Customer Secret -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" class="col-sm-3 control-label"><?php _e('Customer Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_secret']) ? $edit_data['news_letter']['aweber']['consumer_secret'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Access Key -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" class="col-sm-3 control-label"><?php _e('Access Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_key']) ? $edit_data['news_letter']['aweber']['access_key'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Access Secret -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" class="col-sm-3 control-label"><?php _e('Access Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_secret']) ? $edit_data['news_letter']['aweber']['access_secret'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber List ID -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" data-list="<?php echo $edit_data['news_letter']['aweber']['list_id']; ?>"></select>
								</div>
							</div>

							<!-- Get Response API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" class="col-sm-3 control-label"><?php _e('Get Response API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['getresponse']['api_key']) ? $edit_data['news_letter']['getresponse']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Get Response ', self::$text_domain); ?><a href="http://www.getresponse.com/learning-center/glossary/api-key.html" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Get Response List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" class="col-sm-3 control-label"><?php _e('Get Response List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" data-campaign="<?php echo $edit_data['news_letter']['getresponse']['campaign']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Campaign Monitor API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" class="col-sm-3 control-label"><?php _e('API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['campaignmonitor']['api_key']) ? $edit_data['news_letter']['campaignmonitor']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Campaign Monitor ', self::$text_domain); ?><a href="http://help.campaignmonitor.com/topic.aspx?t=206" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to FireBar.', self::$text_domain); ?></em>

								</div>
							</div>

							<!-- Campaign Monitor Client -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" class="col-sm-3 control-label"><?php _e('Campaign Monitor Client', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" data-client="<?php echo $edit_data['news_letter']['campaignmonitor']['client']; ?>"></select>
									<em class="help-block"><?php _e('Select the client you want to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Campaign Monitor List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" class="col-sm-3 control-label"><?php _e('Campaign Monitor List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" data-list="<?php echo $edit_data['news_letter']['campaignmonitor']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi Username -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" class="col-sm-3 control-label"><?php _e('Mad Mimi Username / Email', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['username']) ? $edit_data['news_letter']['madmimi']['username'] :''); ?>" />
									<em class="help-block"><?php _e('Your Mad Mini username or associated email address.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" class="col-sm-3 control-label"><?php _e('Mad Mimi API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['api_key']) ? $edit_data['news_letter']['madmimi']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Mad Mimi ', self::$text_domain); ?><a href="http://help.madmimi.com/where-can-i-find-my-api-key/" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" class="col-sm-3 control-label"><?php _e('Mad Mimi List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" data-list="<?php echo $edit_data['news_letter']['madmimi']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Button Text -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-button-text" class="col-sm-3 control-label"><?php _e('Button Text', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-button-text" name="<?php echo self::$prefix_dash; ?>news-letter-button-text" type="text" value="<?php echo isset($edit_data['news_letter']['button_text']) ? esc_attr($edit_data['news_letter']['button_text']) : 'Subscribe'; ?>"/>
									<em class="help-block"><?php _e('The text within the Newsletter form submit button.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success Action -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-message" class="col-sm-3 control-label"><?php _e('Success Action', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-success-action" name="<?php echo self::$prefix_dash; ?>news-letter-success-action">
										<option value="message" <?php selected('message', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Show a message', self::$text_domain); ?></option>
										<option value="redirect" <?php selected('redirect', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Redirect to another page', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('What should happen after a user successfully signs up to your newsletter?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success URL -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-redirect">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-url" class="col-sm-3 control-label"><?php _e('Success URL', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-url" name="<?php echo self::$prefix_dash; ?>news-letter-success-url" type="text" value="<?php echo (isset($edit_data['news_letter']['success_url']) ? esc_url($edit_data['news_letter']['success_url']) : $default_firebar['news_letter']['success_url']); ?>" />
									<em class="help-block"><?php _e('Where the user will be redirected after a successful signup, usually a Thank You page.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success Message -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-message">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-message" class="col-sm-3 control-label"><?php _e('Success Message', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-message" name="<?php echo self::$prefix_dash; ?>news-letter-success-message" type="text" value="<?php echo (isset($edit_data['news_letter']['success_message']) ? esc_attr($edit_data['news_letter']['success_message']) : $default_firebar['news_letter']['success_message']); ?>" />
									<em class="help-block"><?php _e('What the user will see after successfully signing up to your Newsletter.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Feedburner -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-feedburner-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" name="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" type="text" value="<?php echo (isset($edit_data['news_letter']['feedburner']['id']) ? $edit_data['news_letter']['feedburner']['id'] :''); ?>" />
									<em class="help-block"><?php _e('The ID to the feedburner mailing list.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Recent Posts Count -->

							<div class="form-group <?php echo self::$prefix_dash; ?>recent-posts-div">
								<label for="<?php echo self::$prefix_dash; ?>recent-posts-count" class="col-sm-3 control-label"><?php _e('Count', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>recent-posts-count" name="<?php echo self::$prefix_dash; ?>recent-posts-count">

									<?php for ($i = 1; $i < 11; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['recent_posts']['count'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The number of posts to display.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Recent Posts Tag -->

							<div class="form-group <?php echo self::$prefix_dash; ?>recent-posts-div">
								<label for="<?php echo self::$prefix_dash; ?>recent-posts-tag" class="col-sm-3 control-label"><?php _e('Tag', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>recent-posts-tag" name="<?php echo self::$prefix_dash; ?>recent-posts-tag" type='text' value='<?php echo (isset($edit_data['args']['recent_posts']['tag']) ? esc_attr($edit_data['args']['recent_posts']['tag']) :'');?>' placeholder="e.g. tag or tag,tag1,tag2"/>
									<em class="help-block"><?php _e('Posts with this/these tag(s) will be displayed in the Firebar. Leave blank to display recent posts.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Twitter Count -->

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label for="<?php echo self::$prefix_dash; ?>twitter-count" class="col-sm-3 control-label"><?php _e('Count', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>twitter-count" name="<?php echo self::$prefix_dash; ?>twitter-count">

									<?php for ($i = 1; $i < 11; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['twitter']['count'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The number of tweets to display.', self::$text_domain); ?></em>
								</div>
							</div>

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label class="col-sm-3 control-label"></label>
								<div class="col-sm-9">
									<p><a href="https://apps.twitter.com" target="_blank"><?php _e('Get your API Keys', self::$text_domain); ?></a> <?php _e('by creating a Twitter App.  Read step-by-step instructions', self::$text_domain); ?> <a href="http://www.wpsite.net/twitter-api-keys/" target="_blank"><?php _e('here', self::$text_domain); ?></a>.</p>
								</div>
							</div>


							<!-- Twitter API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label for="<?php echo self::$prefix_dash; ?>twitter-api-key" class="col-sm-3 control-label"><?php _e('API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-api-key" name="<?php echo self::$prefix_dash; ?>twitter-api-key" type='text' value='<?php echo (isset($edit_data['args']['twitter']['api_key']) ? esc_attr($edit_data['args']['twitter']['api_key']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Secret -->

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label for="<?php echo self::$prefix_dash; ?>twitter-api-secret" class="col-sm-3 control-label"><?php _e('API Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-api-secret" name="<?php echo self::$prefix_dash; ?>twitter-api-secret" type='text' value='<?php echo (isset($edit_data['args']['twitter']['api_secret']) ? esc_attr($edit_data['args']['twitter']['api_secret']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label for="<?php echo self::$prefix_dash; ?>twitter-token" class="col-sm-3 control-label"><?php _e('Token', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-token" name="<?php echo self::$prefix_dash; ?>twitter-token" type='text' value='<?php echo (isset($edit_data['args']['twitter']['token']) ? esc_attr($edit_data['args']['twitter']['token']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>twitter-div">
								<label for="<?php echo self::$prefix_dash; ?>twitter-token-secret" class="col-sm-3 control-label"><?php _e('Token Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-token-secret" name="<?php echo self::$prefix_dash; ?>twitter-token-secret" type='text' value='<?php echo (isset($edit_data['args']['twitter']['token_secret']) ? esc_attr($edit_data['args']['twitter']['token_secret']) :'');?>'/>
								</div>
							</div>

							<!-- Custom HTML -->

							<div class="form-group <?php echo self::$prefix_dash; ?>custom-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('Custom HTML or Shortcode', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>custom" name="<?php echo self::$prefix_dash; ?>custom" rows="16" cols="100"><?php echo (isset($edit_data['custom']) ? html_entity_decode($edit_data['custom']) :'');?></textarea>
									<em class="help-block"><?php _e('Add custom HTML or shortcode here.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Social Media Accounts - Repeater Field -->

							<button type="button" role="button" class="<?php echo self::$prefix_dash; ?>social-add-platform <?php echo self::$prefix_dash; ?>social-div btn btn-success">
								<span class="glyphicon glyphicon-plus"></span>
								<?php _e('Add Social Media Platform'); ?>
							</button>
							<br/>
							<br/>

							<table id="<?php echo self::$prefix_dash; ?>social-div-table" class="table table-striped <?php echo self::$prefix_dash; ?>social-div">

								<thead>
									<tr>
										<th class="text-center"><?php _e('Move', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Type', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('URL', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Remove', self::$text_domain); ?></th>
									</tr>
								</thead>

								<tbody id="<?php echo self::$prefix_dash; ?>social-div-tbody">

									<?php foreach ($edit_data['social']['icons'] as $icon) { ?>

									<tr class="text-center">
										<td>
											<span class="glyphicon glyphicon-move"></span>
										</td>
										<td>

											<select id="<?php echo self::$prefix_dash; ?>social-type" name="<?php echo self::$prefix_dash; ?>social-type[]">
											<?php foreach (self::$social_icons as $key => $name) { ?>
												<option value="<?php echo $key; ?>" <?php selected($icon['type'], $key, true); ?>><?php echo $name; ?></option>
											<?php } ?>
											</select>
										</td>
										<td>
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>social-twitter-url" name="<?php echo self::$prefix_dash; ?>social-url[]" type="text" value="<?php echo (isset($icon['url']) ? $icon['url'] :''); ?>" placeholder="http://example.com"/>
										</td>
										<td>
											<input class="<?php echo self::$prefix_dash; ?>social-remove-platform btn btn-danger" type="button" value="<?php _e('Remove'); ?>"/>
										</td>
									</tr>

									<?php } ?>

								</tbody>
							</table>

						</div>
					</div>

				</div><!-- content -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>styling">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Colors', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Background Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>color" class="col-sm-3 control-label"><?php _e('Background Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>color" name="<?php echo self::$prefix_dash; ?>color" class="color_input" value="<?php echo (isset($edit_data['color']) ? $edit_data['color'] :'');?>"/>
									<em class="help-block"><?php _e('The background color of the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Text Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>text-color" class="col-sm-3 control-label"><?php _e('Text Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>text-color" name="<?php echo self::$prefix_dash; ?>text-color" class="color_input" value="<?php echo (isset($edit_data['text_color']) ? $edit_data['text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The text color of the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Text Link Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>custom-div <?php echo self::$prefix_dash; ?>social-div <?php echo self::$prefix_dash; ?>twitter-div <?php echo self::$prefix_dash; ?>recent-posts-div <?php echo self::$prefix_dash; ?>text-link-div <?php echo self::$prefix_dash; ?>text-link-text">
								<label for="<?php echo self::$prefix_dash; ?>link-text-color" class="col-sm-3 control-label"><?php _e('Text / Icon Link Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>link-text-color" name="<?php echo self::$prefix_dash; ?>link-text-color" class="color_input" value="<?php echo (isset($edit_data['text_link']['link_text_color']) ? $edit_data['text_link']['link_text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The link text color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>text-link-div <?php echo self::$prefix_dash; ?>text-link-button">
								<label for="<?php echo self::$prefix_dash; ?>link-button-color" class="col-sm-3 control-label"><?php _e('Link Button Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>link-button-color" name="<?php echo self::$prefix_dash; ?>link-button-color" class="color_input" value="<?php echo (isset($edit_data['text_link']['link_button_color']) ? $edit_data['text_link']['link_button_color'] :'');?>"/>
									<em class="help-block"><?php _e('The link button color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Newsletter Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div">
								<label for="<?php echo self::$prefix_dash; ?>newsletter-text-color" class="col-sm-3 control-label"><?php _e('Newsletter Button Text Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>newsletter-text-color" name="<?php echo self::$prefix_dash; ?>newsletter-text-color" class="color_input" value="<?php echo (isset($edit_data['args']['nl_text_color']) ? $edit_data['args']['nl_text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The Newsletter "Subscribe" button text color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Newsletter Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div">
								<label for="<?php echo self::$prefix_dash; ?>newsletter-button-color" class="col-sm-3 control-label"><?php _e('Newsletter Button Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>newsletter-button-color" name="<?php echo self::$prefix_dash; ?>newsletter-button-color" class="color_input" value="<?php echo (isset($edit_data['args']['nl_button_color']) ? $edit_data['args']['nl_button_color'] :'');?>"/>
									<em class="help-block"><?php _e('The Newsletter "Subscribe" button color.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Font', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Font Size -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-size" class="col-sm-3 control-label"><?php _e('Font Size', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>font-size" name="<?php echo self::$prefix_dash; ?>font-size">
										<option value="auto" <?php selected($edit_data['args']['font_size'], 'auto', true); ?>><?php _e('auto', self::$text_domain); ?></option>
										<!--
<?php for($i = 10; $i <= 50; $i+=2) { ?>
										<option value="<?php echo $i; ?>" <?php selected($edit_data['args']['font_size'], $i, true); ?>><?php echo $i; ?></option>
										<?php } ?>
-->
										<option value="14" <?php selected($edit_data['args']['font_size'], 14, true); ?>><?php _e('small', self::$text_domain); ?></option>
										<option value="16" <?php selected($edit_data['args']['font_size'], 16, true); ?>><?php _e('medium', self::$text_domain); ?></option>
										<option value="22" <?php selected($edit_data['args']['font_size'], 22, true); ?>><?php _e('large', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The font size of the text inside the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Font Weight -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-weight" class="col-sm-3 control-label"><?php _e('Font Weight', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>font-weight" name="<?php echo self::$prefix_dash; ?>font-weight">
										<option value="normal" <?php selected($edit_data['args']['font_weight'], 'normal', true); ?>><?php _e('normal', self::$text_domain); ?></option>
										<option value="bold" <?php selected($edit_data['args']['font_weight'], 'bold', true); ?>><?php _e('bold', self::$text_domain); ?></option>
										<option value="bolder" <?php selected($edit_data['args']['font_weight'], 'bolder', true); ?>><?php _e('bolder', self::$text_domain); ?></option>
										<option value="lighter" <?php selected($edit_data['args']['font_weight'], 'lighter', true); ?>><?php _e('lighter', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The font weight of the text inside the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Enable Google Fonts -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>google-fonts" class="col-sm-3 control-label"><?php _e('Enable Google Fonts', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>google-fonts" name="<?php echo self::$prefix_dash; ?>google-fonts" type="checkbox" class="form-control" <?php echo (isset($edit_data['args']['google_fonts']) && $edit_data['args']['google_fonts'] ? 'checked="checked"' : ''); ?>/>
									<label for="<?php echo self::$prefix_dash; ?>google-fonts">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Use Google Fonts instead of the generic web fonts.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Font Family -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-family" class="col-sm-3 control-label"><?php _e('Font Family', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>font-family" name="<?php echo self::$prefix_dash; ?>font-family">
										<?php foreach (self::$font_families as $font_family) { ?>
										<option value='<?php echo $font_family; ?>' <?php selected($edit_data['args']['font_family'], $font_family, true); ?>><?php _e($font_family, self::$text_domain); ?></option>
										<?php } ?>
									</select>

									<div style="max-width: 350px;" id="<?php echo self::$prefix_dash; ?>google-font" class="bfh-selectbox bfh-googlefonts" data-name="<?php echo self::$prefix_dash; ?>font-family" data-font="<?php echo (!in_array($edit_data['args']['font_family'], self::$font_families) ? $edit_data['args']['font_family'] : 'Open Sans'); ?>"></div>

									<em class="help-block"><?php _e('The font family of the text inside the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Effects', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Animation -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>animation" class="col-sm-3 control-label"><?php _e('Animation', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>animation" name="<?php echo self::$prefix_dash; ?>animation" type='checkbox' <?php echo (isset($edit_data['animation']) && $edit_data['animation'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>animation">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Enable FireBar animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Effect -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>effect" class="col-sm-3 control-label"><?php _e('Effect', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>effect" name="<?php echo self::$prefix_dash; ?>effect">

										<?php foreach (self::$effects as $effect) { ?>
											<option value="<?php echo $effect; ?>" <?php selected($effect, $edit_data['args']['effect'], true); ?>><?php echo $effect; ?></option>
										<?php } ?>

									</select>
									<em class="help-block"><?php _e('The effect of the FireBar animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Drop Shadow -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>shadow" class="col-sm-3 control-label"><?php _e('Drop Shadow', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>shadow" name="<?php echo self::$prefix_dash; ?>shadow" type='checkbox' <?php echo (isset($edit_data['args']['shadow']) && $edit_data['args']['shadow'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>shadow">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include the FireBar shadow.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Border Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>border-color" class="col-sm-3 control-label"><?php _e('Border Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>border-color" name="<?php echo self::$prefix_dash; ?>border-color" class="color_input" value="<?php echo (isset($edit_data['args']['border_color']) ? $edit_data['args']['border_color'] :'');?>"/>
									<em class="help-block"><?php _e('The FireBar\'s stub border color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Border Size -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>border-size" class="col-sm-3 control-label"><?php _e('Border Size', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>border-size" name="<?php echo self::$prefix_dash; ?>border-size">

									<?php for ($i = 0; $i < 6; $i++) {

										if ($edit_data['args']['border_size'] >= 5) {
											$edit_data['args']['border_size'] = 5;
										}

									?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['border_size'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The FireBar\'s border size.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Stub Styling', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Icon -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>icon" class="col-sm-3 control-label"><?php _e('Icon', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>icon" data-iconset="fontawesome" data-icon="<?php echo $edit_data['args']['icon']; ?>" role="iconpicker"></button>

									<em class="help-block"><?php _e('The icon that will be displayed in the FireBar.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Icon Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>icon-color" class="col-sm-3 control-label"><?php _e('Icon Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>icon-color" name="<?php echo self::$prefix_dash; ?>icon-color" class="color_input" value="<?php echo (isset($edit_data['args']['icon_color']) ? $edit_data['args']['icon_color'] :'');?>"/>
									<em class="help-block"><?php _e('The FireBar icon color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Stub Shape -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>stub-shape" class="col-sm-3 control-label"><?php _e('Stub Shape', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>stub-shape" name="<?php echo self::$prefix_dash; ?>stub-shape">
										<option value="square" <?php selected('square', $edit_data['args']['stub_shape'], true); ?>><?php _e('Square', self::$text_domain); ?></option>
										<option value="rounded-square" <?php selected('rounded-square', $edit_data['args']['stub_shape'], true); ?>><?php _e('Rounded Square', self::$text_domain); ?></option>
										<option value="circle" <?php selected('circle', $edit_data['args']['stub_shape'], true); ?>><?php _e('Circle', self::$text_domain); ?></option>
										<option value="drop" <?php selected('drop', $edit_data['args']['stub_shape'], true); ?>><?php _e('Drop', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The effect of the FireBar animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Stub Location -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>stub-location" class="col-sm-3 control-label"><?php _e('FireBar Stub Location', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>stub-location-left">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>stub-location" id="<?php echo self::$prefix_dash; ?>stub-location-left" value="left" <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'left' ? 'checked="checked"' : ''; ?>/> <?php _e('Left', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'right' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>stub-location-right">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>stub-location" id="<?php echo self::$prefix_dash; ?>stub-location-right" value="right" <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'right' ? 'checked="checked"' : ''; ?>/> <?php _e('Right', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The location of the FireBar stub on the page.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

				</div><!-- styling -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>misc">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Weekly Emails', self::$text_domain); ?></div>
						<div class="panel-body">

						</div>
					</div>

				</div>

			</div>

			<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

		</form>

	</div>

	<?php require_once('footer.php'); ?>

</div>